## xreverse 0.6-1

=== Makefile ===
#
# Makefile for XReverse.
#


# Version, and base filenames - used for building a tarball.
VERSION    = 0.6
BASE       = xreverse
DIST_PREFIX= /tmp




# Installation directory
INSTALL_DIR= /usr/local/bin

# Directory to find the X library files.
LIB_DIR=/usr/X11R6/lib

# Libraries we link against.
LIBS   = -lX11 -lc

# Compiler flags.
CFLAGS = -Wall -DVERSION="\"$(VERSION)\""




xreverse: xreverse.c xreverse.h Makefile
	gcc $(CFLAGS) xreverse.c -o xreverse -L$(LIB_DIR) $(LIBS)


clean: 
	rm -f xreverse *~


install:
	strip xreverse
	install -d $(INSTALL_DIR)
	install xreverse $(INSTALL_DIR)


uninstall:
	rm -f $(INSTALL_DIR)/xreverse


dist:   clean
	rm -rf $(DIST_PREFIX)/$(BASE)-$(VERSION)
	rm -f $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz
	# Copy all our files to the temporary location.
	cp -R . $(DIST_PREFIX)/$(BASE)-$(VERSION)
	# Remove the CVS files.
	find  $(DIST_PREFIX)/$(BASE)-$(VERSION) -name "CVS" -print | xargs rm -rf
	# tar
	cd $(DIST_PREFIX) && tar -cvf $(DIST_PREFIX)/$(BASE)-$(VERSION).tar $(BASE)-$(VERSION)/
	# gzip
	gzip $(DIST_PREFIX)/$(BASE)-$(VERSION).tar
	mv $(DIST_PREFIX)/$(BASE)-$(VERSION).tar.gz .

=== debian/changelog ===
xreverse (0.6-1) unstable; urgency=low

  * New upstream release.

 -- Steve Kemp <steve@steve.org.uk>  Mon, 20 Jan 2003 14:28:17 +0000

xreverse (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Steve Kemp <steve@steve.org.uk>  Thurs, 16 Jan 2003 16:36:48 +0000

xreverse (0.4-2) unstable; urgency=low

  * Display the last move the white play made specialy.

 -- Steve Kemp <steve@steve.org.uk>  Tue, 14 Jan 2003 16:36:48 +0000

xreverse (0.4-1) unstable; urgency=low

  * Initial Debian Release.

 -- Steve Kemp <steve@steve.org.uk>  Tue, 14 Jan 2003 13:49:48 +0000

=== debian/control ===
Source: xreverse
Section: games
Priority: optional
Maintainer: Steve Kemp <steve@steve.org.uk>
Build-Depends: debhelper (>> 3.0.0), xlibs-dev
Standards-Version: 3.5.8

Package: xreverse
Architecture: any
Depends: ${shlibs:Depends}
Description: Another version of the classic Othello game
 .
 XReverse is a simple single player puzzle game for the X
 window system, based upon the classic Othello game.
 .
 It provides a challenging AI player.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/xreverse.sgml > xreverse.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/xreverse.
	$(MAKE) install INSTALL_DIR=$(CURDIR)/debian/xreverse/usr/games



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/xreverse.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
